
Ceph - Bug #749

test  pipe queue if is empty??V0.24.2

01/26/2011 05:51 PM - longguang yue

Status: Can't reproduce % Done: 0%

Priority: Normal Spent time: 0.00 hour

Assignee:    

Category:    

Target version:    

Source:  Affected Versions:  

Tags:  ceph-qa-suite:  

Backport:  Pull request ID:  

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

void SimpleMessenger::dispatch_entry()

line 299

#0  0x00007fd99adc96c5 in raise () from /lib64/libc.so.6

Missing separate debuginfos, use: debuginfo-install glibc-2.11.2-1.x86_64 libgcc-4.4.2-7.fc12.x86_64 libstdc++-4.4.2-7.fc12.x86_64

openssl-1.0.0-4.fc12.x86_64 zlib-1.2.3-23.fc12.x86_64

(gdb) bt

#0  0x00007fd99adc96c5 in raise () from /lib64/libc.so.6

#1  0x00007fd99adcaea5 in abort () from /lib64/libc.so.6

#2  0x00007fd99ae06133 in __libc_message () from /lib64/libc.so.6

#3  0x00007fd99ae0bac6 in malloc_printerr () from /lib64/libc.so.6

#4  0x0000000000454cf2 in deallocate (this=<value optimized out>, __p=<value optimized out>)

at /usr/include/c++/4.4.2/ext/new_allocator.h:95

#5  _M_put_node (this=<value optimized out>, __p=<value optimized out>) at /usr/include/c++/4.4.2/bits/stl_list.h:320

#6  _M_erase (this=<value optimized out>, __p=<value optimized out>) at /usr/include/c++/4.4.2/bits/stl_list.h:1431

#7  pop_front (this=<value optimized out>, __p=<value optimized out>) at /usr/include/c++/4.4.2/bits/stl_list.h:906

#8  SimpleMessenger::dispatch_entry (this=<value optimized out>, __p=<value optimized out>)

at msg/SimpleMessenger.cc:290

#9  0x000000000044525c in SimpleMessenger::DispatchThread::entry (this=0x20a5818) at msg/SimpleMessenger.h:558

#10 0x000000000045a9da in Thread::_entry_func (arg=<value optimized out>) at common/Thread.h:39

#11 0x00007fd99bc57a3a in start_thread () from /lib64/libpthread.so.0

#12 0x00007fd99ae7577d in clone () from /lib64/libc.so.6

#13 0x0000000000000000 in ?? ()

History

#1 - 01/27/2011 09:36 PM - Sage Weil

Is there a stack dump in the log (/var/log/ceph/whatever.log)?  That will include which revision of the code you're running.

#2 - 01/27/2011 09:56 PM - longguang yue

Sage Weil wrote:

Is there a stack dump in the log (/var/log/ceph/whatever.log)?  That will include which revision of the code you're running.

 

v0.24.2

i have modify ,void SimpleMessenger::dispatch_entry().

If(!m_queue.empty()) {

Message *m = m_queue.front();

m_queue.pop_front();

}

------------------------------------
#3 - 03/01/2011 04:30 PM - Sage Weil

- Status changed from New to Can't reproduce
